com.jscape.inet.smtp

## Class SmtpAdapter

- java.lang.Object
- - com.jscape.inet.smtp.SmtpAdapter

- All Implemented Interfaces:
    SmtpListener, java.util.EventListener

      public class SmtpAdapter
      extends java.lang.Object
      implements SmtpListener

  Implements methods for capturing events sourced from Smtp class. This class is intended to provide vertical compatibility with SmtpListener interface. Typicaly your application will use this class instead of SmtpListener interface to capture the following events :
  `SmtpConnectedEvent`
  `SmtpDisconnectedEvent`
  `SmtpCommandEvent`
  `SmtpResponseEvent`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmtpAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commandSent(SmtpCommandEvent event)` Invoked when command is sent to the SMTP server
    `void` | `connected(SmtpConnectedEvent event)` Invoked when connection to SMTP server is established.
    `void` | `disconnected(SmtpDisconnectedEvent event)` Invoked when connection to SMTP server is released.
    `void` | `responseReceived(SmtpResponseEvent event)` Invoked when a response is received from SMTP server

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmtpAdapter

          public SmtpAdapter()

  - ### Method Detail

    - #### connected

          public void connected(SmtpConnectedEvent event)

      Invoked when connection to SMTP server is established.
      Specified by:
        `connected` in interface `SmtpListener`
      Parameters:
        `event` - a `SmtpConnectedEvent`
      See Also:
        `SmtpConnectedEvent`

    - #### disconnected

          public void disconnected(SmtpDisconnectedEvent event)

      Invoked when connection to SMTP server is released.
      Specified by:
        `disconnected` in interface `SmtpListener`
      Parameters:
        `event` - a `SmtpDisconnectedEvent`
      See Also:
        `SmtpDisconnectedEvent`

    - #### commandSent

          public void commandSent(SmtpCommandEvent event)

      Invoked when command is sent to the SMTP server
      Specified by:
        `commandSent` in interface `SmtpListener`
      Parameters:
        `event` - a `SmtpCommandEvent`
      See Also:
        `SmtpCommandEvent`

    - #### responseReceived

          public void responseReceived(SmtpResponseEvent event)

      Invoked when a response is received from SMTP server
      Specified by:
        `responseReceived` in interface `SmtpListener`
      Parameters:
        `event` - a `SmtpResponseEvent`
      See Also:
        `SmtpResponseEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved